Bug 1994719 (CVE-2021-38593) - CVE-2021-38593 qt: out-of-bounds write in QOutlineMapper::convertPath called from QRasterPaintEngine::fill and QPaintEngineEx::stroke
Summary: CVE-2021-38593 qt: out-of-bounds write in QOutlineMapper::convertPath called ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-38593
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1994720 1994721 1994722 1994723 1994724 1994725 1996874 1996875 1996876 1996877
Blocks: 1994727
TreeView+ depends on / blocked
 
Reported: 2021-08-17 18:51 UTC by Guilherme de Almeida Suckevicz
Modified: 2022-07-14 14:38 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-25 00:35:14 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:1796 0 None None None 2022-05-10 13:28:26 UTC

Description Guilherme de Almeida Suckevicz 2021-08-17 18:51:32 UTC
Qt 5.0.0 through 6.1.2 has an out-of-bounds write in QOutlineMapper::convertPath (called from QRasterPaintEngine::fill and QPaintEngineEx::stroke).

Reference:
https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=35566

Upstream patches:
https://github.com/qt/qtbase/commit/6b400e3147dcfd8cc3a393ace1bd118c93762e0c
https://github.com/qt/qtbase/commit/1ca02cf2879a5e1511a2f2109f0925cf4c892862
https://github.com/qt/qtbase/commit/202143ba41f6ac574f1858214ed8bf4a38b73ccd

Comment 1 Guilherme de Almeida Suckevicz 2021-08-17 18:52:06 UTC
Created mingw-qt5-qtbase tracking bugs for this issue:

Affects: fedora-all [bug 1994723]


Created qt tracking bugs for this issue:

Affects: fedora-all [bug 1994720]


Created qt5 tracking bugs for this issue:

Affects: fedora-all [bug 1994721]


Created qt5-qtbase tracking bugs for this issue:

Affects: fedora-all [bug 1994724]


Created qt6 tracking bugs for this issue:

Affects: fedora-all [bug 1994722]


Created qt6-qtbase tracking bugs for this issue:

Affects: fedora-all [bug 1994725]

Comment 2 devthomp 2021-08-23 17:40:10 UTC
NIST adjustment requested.

Comment 5 devthomp 2021-08-23 23:52:08 UTC
In reply to comment #2:
> NIST adjustment requested.

Please disregard.

Comment 6 devthomp 2021-08-25 00:35:14 UTC
Trackers have been created, analysis complete.

Comment 7 errata-xmlrpc 2022-05-10 13:28:23 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1796 https://access.redhat.com/errata/RHSA-2022:1796


Note You need to log in before you can comment on or make changes to this bug.